> ## Documentation Index
> Fetch the complete documentation index at: https://docs.closerx.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Telnyx Register

> Registers the Telnyx API key for the current company/tenant.



## OpenAPI

````yaml POST /v2/register/telynx/
openapi: 3.1.0
info:
  title: CloserX.ai API
  description: >-
    The CloserX.ai API provides programmatic access to manage AI-powered calling
    operations, including agent creation, campaign management, contact handling,
    telephony integration, and more. This API enables seamless automation and
    integration with CRM systems, telephony providers, and other third-party
    services for enhanced client communication and business operations.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://app.closerx.ai/api
security:
  - api_key: []
paths:
  /v2/register/telynx/:
    post:
      summary: Telnyx Register
      description: Registers the Telnyx API key for the current company/tenant.
      parameters:
        - name: Company-Name
          in: header
          required: true
          description: Schema name for multi-tenancy
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TelnyxRegisterRequest'
      responses:
        '200':
          description: Telnyx API key registered successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TelnyxRegisterResponse'
              example:
                success: false
                errors: []
                response: voizerfreeaccount
                message: Telnyx API key updated successfully
        '400':
          description: Invalid or missing Telnyx API key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    TelnyxRegisterRequest:
      type: object
      required:
        - telnyx_api_key
      properties:
        telnyx_api_key:
          type: string
          description: Your Telnyx API key used for authentication
    TelnyxRegisterResponse:
      type: object
      properties:
        success:
          type: boolean
          example: false
        errors:
          type: array
          items:
            type: string
          example: []
        response:
          type: string
          description: Response content, such as the company name
          example: voizerfreeaccount
        message:
          type: string
          description: Response message
          example: Telnyx API key updated successfully
    Error:
      required:
        - success
        - message
        - data
      type: object
      properties:
        success:
          type: boolean
        message:
          type: string
        data:
          type: object
  securitySchemes:
    api_key:
      type: apiKey
      in: header
      name: api_key

````